# Interface FloorplanControllerCustomInitArgs

interface FloorplanControllerCustomInitArgs {
defaultFov?: number;
defaultLatitude?: number;
defaultLongitude?: number;
intersectMeshCreator?: () => IntersectMeshInterface;
maxFov?: number;
maxLatitude?: number | ((fov: number) => number);
minFov?: number;
minLatitude?: number | ((fov: number) => number);
}

- Defined in lib/five/controllers/floorplan.ts:41

##### Index

### Properties

defaultFov?
defaultLatitude?
defaultLongitude?
intersectMeshCreator?
maxFov?
maxLatitude?
minFov?
minLatitude?

## Properties

### `Optional` defaultFov

defaultFov?: number

默认相机可视角度（垂直），可作为 `zoom`

- Defined in lib/five/controllers/floorplan.ts:51

### `Optional` defaultLatitude

defaultLatitude?: number

默认俯仰角

- Defined in lib/five/controllers/floorplan.ts:45

### `Optional` defaultLongitude

defaultLongitude?: number

默认水平角

- Defined in lib/five/controllers/floorplan.ts:43

### `Optional` intersectMeshCreator

intersectMeshCreator?: () => IntersectMeshInterface

鼠标焦点环自定义创建器

- Defined in lib/five/controllers/floorplan.ts:57

### `Optional` maxFov

maxFov?: number

最大相机可视角度

- Defined in lib/five/controllers/floorplan.ts:53

### `Optional` maxLatitude

maxLatitude?: number | ((fov: number) => number)

最大俯仰角

- Defined in lib/five/controllers/floorplan.ts:47

### `Optional` minFov

minFov?: number

最小相机可视角度

- Defined in lib/five/controllers/floorplan.ts:55

### `Optional` minLatitude

minLatitude?: number | ((fov: number) => number)

最小俯仰角

- Defined in lib/five/controllers/floorplan.ts:49